# Function getMouseEventPressedButtons

- getMouseEventPressedButtons(
  mouseEvent: Pick<MouseEvent, "buttons">,
  ): Set<number>

  Parse the `MouseEvent.buttons` property into a collection of buttons ids corresponding to possible ids that `MouseEvent.button` can assume. In essence a collection of currently pressed pointer event buttons.

  #### Parameters

  - mouseEvent: Pick<MouseEvent, "buttons">

    `MouseEvent.buttons`

  #### Returns Set<number>

  Collection of buttons ids.